Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Class CharSubSequence

    java.lang.Object
      org.archive.io.CharSubSequence

All Implemented Interfaces:
  java.lang.CharSequence

    public class CharSubSequence

extends java.lang.Object
implements java.lang.CharSequence

Provides a subsequence view onto a CharSequence.

Version:
  $Revision: 3288 $, $Date: 2005-03-31 17:43:23 +0000 (Thu, 31 Mar 2005) $
Author:
  gojomo

Field Summary
`(package private) int` | `end`
`(package private) java.lang.CharSequence` | `inner`
`(package private) int` | `start`

Constructor Summary
`CharSubSequence(java.lang.CharSequence inner, int start, int end)`

Method Summary
`char` | `charAt(int index)`
`int` | `length()`
`java.lang.CharSequence` | `subSequence(int begin, int finish)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inner

    java.lang.CharSequence inner

### start

    int start

### end

    int end

Constructor Detail

### CharSubSequence

    public CharSubSequence(java.lang.CharSequence inner,
                           int start,
                           int end)

Method Detail

### length

    public int length()

  Specified by:
    `length` in interface `java.lang.CharSequence`

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `java.lang.CharSequence`

### subSequence

    public java.lang.CharSequence subSequence(int begin,
                                              int finish)

  Specified by:
    `subSequence` in interface `java.lang.CharSequence`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.lang.CharSequence`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.